Bug 835410 - [WebTran] Long filename should be displayed properly in narrow window
[WebTran] Long filename should be displayed properly in narrow window
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.7
Unspecified Unspecified
medium Severity low
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 03:01 EDT by Ding-Yi Chen
Modified: 2012-11-07 01:19 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120927-0027)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot that demonstrates the issue (97.36 KB, image/png)
2012-06-26 03:01 EDT, Ding-Yi Chen
no flags Details

  None (edit)
Description Ding-Yi Chen 2012-06-26 03:01:23 EDT
Created attachment 594371 [details]
Screenshot that demonstrates the issue

Description of problem:
On translating a document with long name, complete percentage and "search and replace" are squeeze together which does not look good. See attachment for details.

Version-Release number of selected component (if applicable):
Zanata version 1.7-SNAPSHOT (20120626-0025)
Zanata version 1.6.1-SNAPSHOT (20120626-0001)

How reproducible:
Always

Steps to Reproduce:
1. Visit a document with long name
2. Narrow the browser.
3.
  
Actual results:
complete percentage and "Search & Replace" are squeezed together.

Expected results:
Every elements are separated and easy to ready.

Additional info:
Comment 1 Runa Bhattacharjee 2012-07-30 08:56:39 EDT
Request for technical evaluation.
Comment 2 Sean Flanigan 2012-07-30 22:09:45 EDT
We should probably specify the width of the docname label as a fixed size (or a percentage of window width), showing an ellipsis if required, and a tooltip which shows the entire docname.
Comment 3 David Mason 2012-07-30 23:22:48 EDT
The ellipsis could go at the beginning, in the middle or at the end of the name. Truncating the beginning of the name (which will generally be the beginning of the path) would probably leave the most relevant part visible to translators.
Comment 4 Alex Eng 2012-09-26 00:28:14 EDT
Fixed in version 2.0 

See https://github.com/zanata/zanata/commit/1a0e2423faef77b6864e4ea2c1de5fe335a3bcb1
Comment 5 Ding-Yi Chen 2012-09-26 22:16:26 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120927-0027)
Comment 6 Sean Flanigan 2012-11-07 01:19:19 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.